org.apache.log

## Interface LogTarget

Deprecated.
Will be dropped in 3.3

    @Deprecated
    public interface LogTarget

LogTarget is a class to encapsulate outputting LogEvent's. This provides the base for all output and filter targets. Warning: If performance becomes a problem then this interface will be rewritten as a abstract class.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `processEvent(LogEvent event)` Deprecated. Process a log event.

### Method Detail

#### processEvent

    void processEvent(LogEvent event)

Deprecated.
Process a log event. In NO case should this method ever throw an exception/error. The reason is that logging is usually added for debugging/auditing purposes and it would be unacceptable to have your debugging code cause more errors.

Parameters:
  `event` - the event